import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export class Paladin extends PingCompensatedCharacter {
    ctype = "paladin";
    // NOTE: Untested
    async manaShieldOff() {
        if (!this.ready)
            throw new Error("We aren't ready yet [manaShieldOff].");
        if (!this.s.mshield)
            return; // It's already off
        const response = this.getResponsePromise("mshield");
        this.socket.emit("skill", { name: "mshield" });
        return response;
    }
    // NOTE: Untested
    async manaShieldOn() {
        if (!this.ready)
            throw new Error("We aren't ready yet [manaShieldOn].");
        if (this.s.mshield)
            return; // It's already on
        const response = this.getResponsePromise("mshield");
        this.socket.emit("skill", { name: "mshield" });
        return response;
    }
    // NOTE: Untested
    async selfHeal() {
        if (!this.ready)
            throw new Error("We aren't ready yet [selfHeal].");
        const response = this.getResponsePromise("selfheal");
        this.socket.emit("skill", { name: "selfheal" });
        return response;
    }
}
//# sourceMappingURL=Paladin.js.map